Solved Citizen CMD Not Working

Discussion in 'Spigot Plugin Help' started by Ergenta, Jun 6, 2017.

Thread Status:
Not open for further replies.
  1. Regardless of the plugin and spigot version I use, nothing seems to work.

    I've tested many Citizens 2 versions with CommandNPC - https://dev.bukkit.org/projects/cmdnpc -
    And all versions of CitizensCMD - https://www.spigotmc.org/resources/citizens-cmd.30224/ - with using spigot 1.10.2-1.11.2 and they all give the same error

    Code (Text):

    6:31:40] [Server thread/INFO]: This server is running CraftBukkit version git-Spigot-3fb9445-6e3cec8 (MC: 1.11.2) (Implementing API version 1.11.2-R0.1-SNAPSHOT)
    [16:31:40] [Server thread/INFO]: Debug logging is disabled
    [16:31:40] [Server thread/INFO]: Server Ping Player Sample Count: 12
    [16:31:40] [Server thread/INFO]: Using 4 threads for Netty based IO
    [16:31:40] [Server thread/INFO]: Generating keypair
    [16:31:41] [Server thread/INFO]: Starting Minecraft server on 192.95.30.218:25765
    [16:31:41] [Server thread/INFO]: Using epoll channel type
    [16:31:41] [Server thread/INFO]: Set PluginClassLoader as parallel capable
    [IMG]https://static.minecraft-worlds.com/medias/severe.png[/IMG]
    [16:31:41] [Server thread/ERROR]: Could not load 'plugins/CommandNPC.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/messageofdeath/commandnpc/CommandNPC : Unsupported major.minor version 52.0
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[spigotmc-1.11.2-R0.1.jar:git-Spigot-3fb9445-6e3cec8]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[spigotmc-1.11.2-R0.1.jar:git-Spigot-3fb9445-6e3cec8]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [spigotmc-1.11.2-R0.1.jar:git-Spigot-3fb9445-6e3cec8]
    at org.bukkit.craftbukkit.v1_11_R1.CraftServer.loadPlugins(CraftServer.java:301) [spigotmc-1.11.2-R0.1.jar:git-Spigot-3fb9445-6e3cec8]
    at net.minecraft.server.v1_11_R1.DedicatedServer.init(DedicatedServer.java:204) [spigotmc-1.11.2-R0.1.jar:git-Spigot-3fb9445-6e3cec8]
    at net.minecraft.server.v1_11_R1.MinecraftServer.run(MinecraftServer.java:544) [spigotmc-1.11.2-R0.1.jar:git-Spigot-3fb9445-6e3cec8]
    at java.lang.Thread.run(Thread.java:745) [?:1.7.0_101]
    Caused by: java.lang.UnsupportedClassVersionError: me/messageofdeath/commandnpc/CommandNPC : Unsupported major.minor version 52.0
    What does this mean:
    Code (Text):
    [16:31:41] [Server thread/ERROR]: Could not load 'plugins/CommandNPC.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/messageofdeath/commandnpc/CommandNPC : Unsupported major.minor version 52.0
     
    #1 Ergenta, Jun 6, 2017
    Last edited: Jun 6, 2017
  2. BGHDDevelopment

    Benefactor

    Contact the plugin dev
     
  3. BGHDDevelopment

    Benefactor

    Commandnpc dev thats the plugin that does not load
     
  4. Code (Text):
    [Server thread/ERROR]: Could not load 'plugins/CitizensCMD-3.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/matthew/citizenscmd/CitizensCMD : Unsupported major.minor version 52.0
    at org.
    Code (Text):
    [16:31:41] [Server thread/ERROR]: Could not load 'plugins/CommandNPC.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/messageofdeath/commandnpc/CommandNPC : Unsupported major.minor version 52.0
    Literally the same error for multiple plugins
     
    #4 Ergenta, Jun 6, 2017
    Last edited: Jun 6, 2017
    • Optimistic Optimistic x 1
Thread Status:
Not open for further replies.